Package csb :: Package bio :: Package sequence :: Class ChainSequence

[frames] | no frames]

# Class ChainSequence

source code

          object --+
                   |
    AbstractSequence --+
                       |
                      ChainSequence

Known Subclasses:
  - io.wwpdb.SparseChainSequence

Sequence view for csb.bio.structure.Chain objects. See AbstractSequence for details.

Nested Classes
Inherited from `AbstractSequence`: `__metaclass__`

Instance Methods
Inherited from `AbstractSequence`: `__getitem__`, `__init__`, `__iter__`, `__len__`, `__repr__`, `__str__`, `dump`, `extract`, `strip`, `subregion` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

ChainSequence

create(chain) Create a new ChainSequence from existing Chain instance. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``
Inherited from `AbstractSequence`: `DELIMITER`

Properties
Inherited from `AbstractSequence`: `alphabet`, `header`, `id`, `length`, `residues`, `sequence`, `type` Inherited from `object`: `__class__`

Method Details

### create(chain)
Static Method

source code

Create a new ChainSequence from existing Chain instance.

Parameters:
  - `chain` (csb.bio.structure.Chain)
Returns: ChainSequence